# Class ELNode.Text

java.lang.Object
org.apache.jasper.compiler.ELNode
org.apache.jasper.compiler.ELNode.Text

Enclosing class:
  `ELNode`

public static class ELNode.Text extends ELNode
Represents text outside of EL expression.

## Nested Class Summary

### Nested classes/interfaces inherited from class ELNode

`ELNode.ELText, ELNode.Function, ELNode.Nodes, ELNode.Root, ELNode.Text, ELNode.Visitor`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(ELNode.Visitor v)`
`String`
`getText()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### accept

public void accept(ELNode.Visitor v) throws JasperException

Specified by:
  `accept` in class `ELNode`
Throws:
  `JasperException`

### getText

public String getText()